# ------------------------------------------------------------------------------------
# There several categories to migrate. By default the tool migrates the following
#
#	Server Config 	-> YES
#	Zones			-> YES
#	Extensions		-> YES
#	Data Files		-> NO
#	Web Files		-> NO
# 	License Code 	-> NO
#   Analytics DB	-> NO
#   SSL Certificate -> NO
#
# ------------------------------------------------------------------------------------
# Available cmdline switches:
#
#	-source= path/to/source/server/
#	-target= path/to/target/server/
#	-serverConfig= Y/N
#	-zoneConfig= Y/N
#	-extFiles= Y/N
#	-zoneFiles= Y/N
#	-webFiles= Y/N
#	-licenseCode= Y/N
# 	-analyticsDB= Y/N
#  	-sslCert = Y/N
#------------------------------------------------------------------------------------
#
# Example, migrate server A to server B excluding extensions and including web files
#
# ServerMigrator.sh -source=path/to/A -target=path/to/B -extFiles=N -webFiles=Y
#

JRE_FOLDER="../jre/bin"
JAVA_CMD="java"
if [ -d "$JRE_FOLDER" ]; then
    JAVA_CMD="../jre/bin/java"
fi

CPATH="./:./bin/:lib/*"
${JAVA_CMD} -cp ${CPATH} sfs2x.migration.MigrationTool $1 $2 $3 $4 $5 $6 $7 $8 $9
